Subject: Re: bug#13124: 24.1; shell-mode does not hide sudo password prompts

From: Glenn Morris <[email-masked]>
Date: Sat, 08 Dec 2012 14:24:30 -0500

Arne Babenhauserheide wrote:

> I like shell-mode a lot and it mostly just works.
>
> But I tend to use sudo quite a bit, and when I am promptd for my
> password, shell-mode echoes it verbatim to the buffer instead of hiding
> it as start or similar.

It's supposed to be hidden, and it is for me in `emacs -Q -f shell' in 24.1.
Please tell us exactly what your sudo prompt looks like.
Mine is:

    [sudo] password for gm: